| The Red Matrix

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Pages
Functions
admin.php File Reference

## Functions
| admin_post (&$a)
| admin_content (&$a)
| admin_page_summary (&$a)
| admin_page_site_post (&$a)
| admin_page_site (&$a)
| admin_page_hubloc_post (&$a)
| admin_page_hubloc (&$a)
| admin_page_dbsync (&$a)
| admin_page_users_post (&$a)
| admin_page_users (&$a)
| admin_page_plugins (&$a)
| toggle_theme (&$themes, $th, &$result)
| theme_status ($themes, $th)
| rebuild_theme_table ($themes)
| admin_page_themes (&$a)
| admin_page_logs_post (&$a)
| admin_page_logs (&$a)

## Function Documentation

admin_content | ( | & | $a | ) |

Parameters

  App | $a |

Returns
  string

Side bar links

Page content

admin_page_dbsync | ( | & | $a | ) |

Referenced by admin_content().

admin_page_hubloc | ( | & | $a | ) |

Referenced by admin_content().

admin_page_hubloc_post | ( | & | $a | ) |

Referenced by admin_post().

admin_page_logs | ( | & | $a | ) |

Parameters

  App | $a |

Returns
  string

Referenced by admin_content().

admin_page_logs_post | ( | & | $a | ) |

Logs admin page

Parameters

  App | $a |

Referenced by admin_post().

admin_page_plugins | ( | & | $a | ) |

Plugins admin page

Parameters

  App | $a |

Returns
  string

Single plugin

List plugins

Referenced by admin_content().

admin_page_site | ( | & | $a | ) |

Parameters

  App | $a |

Returns
  string

Referenced by admin_content().

admin_page_site_post | ( | & | $a | ) |

Admin Site Page

Parameters

  App | $a |

Referenced by admin_post().

admin_page_summary | ( | & | $a | ) |

Admin Summary Page

Parameters

  App | $a |

Returns
  string

Referenced by admin_content().

admin_page_themes | ( | & | $a | ) |

Themes admin page

Parameters

  App | $a |

Returns
  string

Single theme

List themes

Referenced by admin_content().

admin_page_users | ( | & | $a | ) |

Parameters

  App | $a |

Returns
  string

Referenced by admin_content().

admin_page_users_post | ( | & | $a | ) |

Users admin page

Parameters

  App | $a |

Referenced by admin_post().

admin_post | ( | & | $a | ) |

Red admin

Parameters

  App | $a |

rebuild_theme_table | ( |  | $themes | ) |

Parameters

  array | $themes |

Returns
  string

Referenced by admin_page_themes().

theme_status | ( |  | $themes,
|  |  | $th
| ) |  |

Parameters

  array | $themes |
  string | $th |

Returns
  int

Referenced by admin_page_themes().

toggle_theme | ( | & | $themes,
|  |  | $th,
|  | & | $result
| ) |  |

Parameters

  array | $themes |
  string | $th |
  int | $result |

Referenced by admin_page_themes().